## param_directgetall

### Use

You display all database parameters of the current database instance with their values.

If not all parameters can be displayed due to the limited size of the reply packet, use param_directgetallnext to display the remaining content of the parameter file.

See also:

Concepts of the Database System, Database Parameters

### Prerequisites

You have the server authorization ParamRead.

### Syntax

param_directgetall

### Reply

OK

<parameter_name> <value>

<parameter_name> <value>

...

In the event of errors, see Reply Format.